Bug 495645 - Usage of DL library relies on a lot of uninitialized values
Usage of DL library relies on a lot of uninitialized values
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 04:47 EDT by Zdenek Kabelac
Modified: 2009-04-27 09:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 09:50:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2009-04-14 04:47:31 EDT
Description of problem:

I've recently checked logs from valgrind - and the amount of uninitialized values is getting very very very large: 
Here is just portion of log:

(really only a shortened version - I guess some of entries are results of chained usage of uninitialized memory)

==15710== Use of uninitialised value of size 8
==15710==    at 0x400B53D: _dl_new_object (dl-object.c:58)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400B54A: _dl_new_object (dl-object.c:59)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x40181D3: memcpy (memcpy.S:162)
==15710==    by 0x400B55E: _dl_new_object (dl-object.c:64)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400B564: _dl_new_object (dl-object.c:64)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400B56D: _dl_new_object (dl-object.c:68)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400B57F: _dl_new_object (dl-object.c:66)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400B5DD: _dl_new_object (dl-object.c:90)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400B611: _dl_new_object (dl-object.c:100)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400B636: _dl_new_object (dl-object.c:105)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400B68C: _dl_new_object (dl-object.c:122)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400B6BF: _dl_new_object (dl-object.c:133)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4017FD1: mempcpy (memcpy.S:196)
==15710==    by 0x400B7FC: _dl_new_object (dl-object.c:192)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400B814: _dl_new_object (dl-object.c:203)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400B750: _dl_new_object (dl-object.c:206)
==15710==    by 0x40065DB: _dl_map_object_from_fd (dl-load.c:966)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x40065FD: _dl_map_object_from_fd (dl-load.c:978)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006644: _dl_map_object_from_fd (dl-load.c:1006)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006817: _dl_map_object_from_fd (dl-load.c:1021)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006A06: _dl_map_object_from_fd (dl-load.c:1196)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006A26: _dl_map_object_from_fd (dl-load.c:1207)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006A3C: _dl_map_object_from_fd (dl-load.c:1220)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006A50: _dl_map_object_from_fd (dl-load.c:1256)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400703D: _dl_map_object_from_fd (dl-load.c:1263)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006B40: _dl_map_object_from_fd (dl-load.c:1247)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006A5A: _dl_map_object_from_fd (dl-load.c:1258)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006A79: _dl_map_object_from_fd (dl-load.c:1271)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006BD8: _dl_map_object_from_fd (dl-load.c:1320)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006BEC: _dl_map_object_from_fd (dl-load.c:1329)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006C5A: _dl_map_object_from_fd (dynamic-link.h:124)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006FE4: _dl_map_object_from_fd (dynamic-link.h:130)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006C44: _dl_map_object_from_fd (dynamic-link.h:122)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006C6B: _dl_map_object_from_fd (dynamic-link.h:139)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006C73: _dl_map_object_from_fd (dynamic-link.h:159)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006C80: _dl_map_object_from_fd (dynamic-link.h:160)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006C8D: _dl_map_object_from_fd (dynamic-link.h:161)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x4006C9A: _dl_map_object_from_fd (dynamic-link.h:162)
==15710==    by 0x4008AC1: _dl_map_object (dl-load.c:2234)
==15710==    by 0x40018DA: map_doit (rtld.c:624)
==15710==    by 0x400E995: _dl_catch_error (dl-error.c:178)
==15710==    by 0x40017DE: do_preload (rtld.c:808)
==15710==    by 0x4005073: dl_main (rtld.c:1668)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400A78E: _dl_lookup_symbol_x (dl-lookup.c:336)
==15710==    by 0x400C36B: _dl_relocate_object (dl-machine.h:295)
==15710==    by 0x4003DA0: dl_main (rtld.c:2226)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400A275: do_lookup_x (do-lookup.h:54)
==15710==    by 0x400A7D8: _dl_lookup_symbol_x (dl-lookup.c:338)
==15710==    by 0x400BF96: _dl_relocate_object (dl-machine.h:295)
==15710==    by 0x4003DA0: dl_main (rtld.c:2226)
==15710==    by 0x4015906: _dl_sysdep_start (dl-sysdep.c:243)
==15710==    by 0x400138C: _dl_start (rtld.c:328)
==15710==    by 0x4000AF7: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400ECB9: call_init (dl-init.c:46)
==15710==    by 0x400EE7E: _dl_init (dl-init.c:134)
==15710==    by 0x4000B29: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400EC97: call_init (dl-init.c:37)
==15710==    by 0x400EE7E: _dl_init (dl-init.c:134)
==15710==    by 0x4000B29: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400ECAC: call_init (dl-init.c:46)
==15710==    by 0x400EE7E: _dl_init (dl-init.c:134)
==15710==    by 0x4000B29: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400ECC4: call_init (dl-init.c:51)
==15710==    by 0x400EE7E: _dl_init (dl-init.c:134)
==15710==    by 0x4000B29: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400ECEB: call_init (dl-init.c:70)
==15710==    by 0x400EE7E: _dl_init (dl-init.c:134)
==15710==    by 0x4000B29: (within /lib64/ld-2.9.90.so)
==15710==    by 0x1: ???
==15710==    by 0x7FF0005BA: ???
==15710==    by 0x7FF0005D4: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400E710: _dl_fixup (dl-runtime.c:79)
==15710==    by 0x4014BA4: _dl_runtime_resolve (dl-trampoline.S:39)
==15710==    by 0x4E3C679: __static_initialization_and_destruction_0(int, int) (okdialog.moc:26)
==15710==    by 0x4E3C6AB: global constructors keyed to okdialog.cpp (okdialog.cpp:51)
==15710==    by 0x4E3C835: (within /var/tmp/avi6/lib/libqavm-0.7.so.0.0.48)
==15710==    by 0x4E35222: (within /var/tmp/avi6/lib/libqavm-0.7.so.0.0.48)
==15710==    by 0x7FF0005D4: ???
==15710==    by 0x69622F366976612E: ???
==15710==    by 0x616C706976612F6D: ???
==15710==    by 0x4D202D2036300078: ???
==15710==    by 0x6C61736D69532D53: ???
==15710==    by 0x706D2E6D69622060: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400E75D: _dl_fixup (dl-runtime.c:94)
==15710==    by 0x4014BA4: _dl_runtime_resolve (dl-trampoline.S:39)
==15710==    by 0x4E3C679: __static_initialization_and_destruction_0(int, int) (okdialog.moc:26)
==15710==    by 0x4E3C6AB: global constructors keyed to okdialog.cpp (okdialog.cpp:51)
==15710==    by 0x4E3C835: (within /var/tmp/avi6/lib/libqavm-0.7.so.0.0.48)
==15710==    by 0x4E35222: (within /var/tmp/avi6/lib/libqavm-0.7.so.0.0.48)
==15710==    by 0x7FF0005D4: ???
==15710==    by 0x69622F366976612E: ???
==15710==    by 0x616C706976612F6D: ???
==15710==    by 0x4D202D2036300078: ???
==15710==    by 0x6C61736D69532D53: ???
==15710==    by 0x706D2E6D69622060: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400E783: _dl_fixup (dl-runtime.c:99)
==15710==    by 0x4014BA4: _dl_runtime_resolve (dl-trampoline.S:39)
==15710==    by 0x4E3C679: __static_initialization_and_destruction_0(int, int) (okdialog.moc:26)
==15710==    by 0x4E3C6AB: global constructors keyed to okdialog.cpp (okdialog.cpp:51)
==15710==    by 0x4E3C835: (within /var/tmp/avi6/lib/libqavm-0.7.so.0.0.48)
==15710==    by 0x4E35222: (within /var/tmp/avi6/lib/libqavm-0.7.so.0.0.48)
==15710==    by 0x7FF0005D4: ???
==15710==    by 0x69622F366976612E: ???
==15710==    by 0x616C706976612F6D: ???
==15710==    by 0x4D202D2036300078: ???
==15710==    by 0x6C61736D69532D53: ???
==15710==    by 0x706D2E6D69622060: ???
==15710== 
==15710== Use of uninitialised value of size 8
==15710==    at 0x400E7AF: _dl_fixup (dl-runtime.c:114)
==15710==    by 0x4014BA4: _dl_runtime_resolve (dl-trampoline.S:39)
==15710==    by 0x4E3C679: __static_initialization_and_destruction_0(int, int) (okdialog.moc:26)
==15710==    by 0x4E3C6AB: global constructors keyed to okdialog.cpp (okdialog.cpp:51)
==15710==    by 0x4E3C835: (within /var/tmp/avi6/lib/libqavm-0.7.so.0.0.48)
==15710==    by 0x4E35222: (within /var/tmp/avi6/lib/libqavm-0.7.so.0.0.48)
==15710==    by 0x7FF0005D4: ???
==15710==    by 0x69622F366976612E: ???
==15710==    by 0x616C706976612F6D: ???
==15710==    by 0x4D202D2036300078: ???
==15710==    by 0x6C61736D69532D53: ???
==15710==    by 0x706D2E6D69622060: ???




Version-Release number of selected component (if applicable):
glibc-2.9.90-15.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ulrich Drepper 2009-04-18 04:50:15 EDT
These are valgrind problems.  It cannot handle the new string functions yet.
Comment 2 Jakub Jelinek 2009-04-22 11:15:37 EDT
Please try http://koji.fedoraproject.org/packages/valgrind/3.4.1/2/
Comment 3 Zdenek Kabelac 2009-04-23 04:42:20 EDT
Checked - much better - dl errors in the output are gone.
Thanks

Note You need to log in before you can comment on or make changes to this bug.